Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.algorithms
Class RepeatedFormulaBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.algorithms.AbstractBaseAlgorithmBuilder
          org.apache.cocoon.forms.formmodel.algorithms.SimpleFormulaBuilder
              org.apache.cocoon.forms.formmodel.algorithms.RepeatedFormulaBuilder

All Implemented Interfaces:
  CalculatedFieldAlgorithmBuilder

public class RepeatedFormulaBuilder
extends SimpleFormulaBuilder

Builds a `RepeatedFormula` algorithm.

The syntax is as follows : `<fd:value type="repeatedformula" [inital-result="..."] eval="..." [triggers="..."]/>`

Version:
  $Id: RepeatedFormulaBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.formmodel.CalculatedFieldAlgorithmBuilder
`ROLE`

Constructor Summary
`RepeatedFormulaBuilder()`

Method Summary
`CalculatedFieldAlgorithm` | `build(Element algorithmElement)`

Methods inherited from class org.apache.cocoon.forms.formmodel.algorithms.SimpleFormulaBuilder
`setExpressionManager, setupExpression, setupExpression`

Methods inherited from class org.apache.cocoon.forms.formmodel.algorithms.AbstractBaseAlgorithmBuilder
`setup, setupTriggers, setupTriggers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatedFormulaBuilder

    public RepeatedFormulaBuilder()

Method Detail

### build

    public CalculatedFieldAlgorithm build(Element algorithmElement)
                                   throws Exception

  Specified by:
    `build` in interface `CalculatedFieldAlgorithmBuilder`
  Overrides:
    `build` in class `SimpleFormulaBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.